# -*- coding: utf-8 -*-
from odoo import models, fields

class SaasPlan(models.Model):
    _name = 'saas.plan'
    _description = 'Dine360 SaaS Plan'

    name = fields.Char(string='Plan Name', required=True)
    max_pos = fields.Integer(string='Max POS Terminals', default=1, help='0 for unlimited')
    max_users = fields.Integer(string='Max Active Users', default=5, help='0 for unlimited')
    price_monthly = fields.Float(string='Monthly Price', required=True, default=0.0)
    price_yearly = fields.Float(string='Yearly Price', required=True, default=0.0)
    active = fields.Boolean(default=True)
